/**
 * @author Joel Hernandez <lifenautjoe@gmail.com>
 */
import { BaseError } from 'make-error';
import { NoelEvent } from './event';
export declare class NoelError extends BaseError {
    constructor(message: string);
}
export declare class NoelReplayNotEnabledError extends NoelError {
    constructor();
}
export declare class NoelEventError extends NoelError {
    constructor(message: string);
}
export declare class NoelEventReplayNotEnabled extends NoelEventError {
    constructor(event: NoelEvent);
}
export declare class NoelEventConfigError extends NoelEventError {
    constructor(message: string);
}
export declare class NoelEventListenerError extends NoelEventError {
    constructor(message: string);
}
export declare class NoelBufferSizeNotValidError extends NoelEventError {
    constructor(message: string);
}
